package br.org.senacagil;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		System.out.println("Executing class: " + Main.class.getName());
		
		Cliente[] clientes = new Cliente[2];
				
		// Ciente 1:
		clientes[0] = new Cliente();
		clientes[0].setNome("Felipe");		
		
		ItemVenda itemVenda1 = new ItemVenda("maça", 12, 1);
		ItemVenda itemVenda2 = new ItemVenda("laranja", 6, 2);
		ItemVenda itemVenda3 = new ItemVenda("pera", 4, 3);
		
		Venda venda1 = new Venda();
		venda1.getItens().add(itemVenda1);
		venda1.getItens().add(itemVenda2);
		venda1.getItens().add(itemVenda3);
		
		Venda venda2 = new Venda();
		venda2.getItens().add(itemVenda1);
		venda2.getItens().add(itemVenda2);
		
		clientes[0].getListVendas().add(venda1);
		clientes[0].getListVendas().add(venda2);
		
		// Ciente 2:
		clientes[1] = new Cliente();
		clientes[1].setNome("Maria");
		
		Venda venda3 = new Venda();
		venda3.getItens().add(itemVenda1);
		venda3.getItens().add(itemVenda3);
		
		clientes[1].getListVendas().add(venda3);
		
		for (Cliente cliente : clientes) {
		  System.out.println(cliente + " valor total = " + cliente.getTotalVenda()+ "\n");			
		}		
	}
}
